

function LevelComplete()
	flags = {};
	-- if obj.kluch19_1.is_stored  then
		-- UnStoreObj(obj.kluch19_1.id);
		-- UnStoreObj(obj.spichki.id);
	-- else
		
		-- obj.kluch19_1.is_stored = true;
	-- end;
	
	
    
	flags.glove_taken = true;	
	flags.rentgen_taken = true;
	flags.nvg_taken = true;
	flags.scaner_taken = true;
	flags.pointer_taken = true;
	flags.restore_sheet = false;
	
	ShowMenu(false);
	delete_tree_leaf("Root","vhod_olimp");
	 NextLevel(20);
	
end;
flags.glove_taken = true;	
	flags.rentgen_taken = true;
	flags.nvg_taken = true;
	flags.scaner_taken = true;
dofile("script\\gamemenu.lua");
dofile("script\\lib.lua");
set_inpun_fun("gameinput");
-- playfile(".\\sound\\game_theme2.ogg",true,true);

flags["items"] = 0;
flags["comics"] = true;
flags["comics1"] = false;
flags["comics2"] = false;
flags.items_collected = false;
flags["spichki"] = false;
flags["start_draw"] = true;
flags["first_time_load"] = true;
flags["finish"]=false;
flags["kluch"]=false;
flags["setkluch"]=false;
flags["mini1_complete"] = false;
flags["mini_complete"] = false;
pointer_is_usable=true;
scaner_is_usable=true;
flags.rentgen_is_usable= false;
rentgen_is_usable= false;
flags.rentgen_is_usable= false;
rentgen_is_usable= false;
flags["comicsend1"] = false;
flags["comicsend2"] = false;
flags.plawes = false;
flags.plawes1 = false;
flags.startcolorcollapse=false;

flags.light1=true;
flags.light=false;
flags.nv_done=true;
flags.nvg_block=false;

flags.start_mini=false;

if flags.restore_sheet then
	LoadGame();
	AddTool();
end;
flags.restore_sheet = true;



AddTreeLeaf( "Root", "vhod_olimp", 19, 0 );
AddTxt();
dofile("./data/19/0/res.lua");

SwitchToSheet("re");

flags.start_draw = true;
for name,o in pairs(obj) do--------------------------при загрузке уровня объекты с инвентаря не висят в углу
	if obj[name].is_stored then
	SetObjectPosition(obj[name].id,-1000,-1000)  
	set_visible_object( obj[name].id, true );
	end;
end-----------

SetCurrentLeaf( "vhod_olimp", 19, 0 );
StartAnimation( 5555555555,5,5 );
ShowMenu(false );
-- playfile(".\\sound\\110.ogg",true,true);
playeffect("110",true)